'use strict';

var array = [1, 2, 3, 4, 5, 6];

array = filter(array, function (each) {
    return each % 2 === 0;
});

console.log('Even numbers: ' + array);

function filter(array, predicate) {
    var result = [];
    for (var i = 0; i < array.length; i++) {
        if (predicate(array[i])) {
            result.push(array[i]);
        }
    }
    return result;
}